View Issue Details

IDProjectCategoryView StatusLast Update
0035716LazarusLCLpublic2019-08-23 15:25
ReporterLuca OlivettiAssigned ToJesus Reyes 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version2.0.2Product Build 
Target VersionFixed in Version2.0.5 (SVN) 
Summary0035716: TDbgrid wrong width of first column if FixedCells>1 and dgIndicator is turned off
DescriptionIn the attached project (the same for bug 0035715) there's a TDbGrid with dgIndicator active and FixedCells=2.
If you click on the checkbox to turn off dgIndicator, the first column will take the width of the dgIndicator column.
This doesn't happen if the first column is not a fixed column.
TagsNo tags attached.
Fixed in Revision61740
LazTarget2.0.6
Widgetset
Attached Files

Activities

Luca Olivetti

2019-06-13 16:51

reporter  

project1.zip (128,824 bytes)

Jesus Reyes

2019-08-21 17:01

developer   ~0117767

Please test

Luca Olivetti

2019-08-23 15:25

reporter   ~0117796

I tried the patch on my copy of lazarus 2.0.2 and it works, thank you.
Don't forget to take a look at the patch in bug 0035715

Issue History

Date Modified Username Field Change
2019-06-13 16:51 Luca Olivetti New Issue
2019-06-13 16:51 Luca Olivetti File Added: project1.zip
2019-06-13 18:41 Jesus Reyes Assigned To => Jesus Reyes
2019-06-13 18:41 Jesus Reyes Status new => assigned
2019-08-21 17:01 Jesus Reyes Status assigned => resolved
2019-08-21 17:01 Jesus Reyes Resolution open => fixed
2019-08-21 17:01 Jesus Reyes Fixed in Version => 2.0.5 (SVN)
2019-08-21 17:01 Jesus Reyes Fixed in Revision => 61740
2019-08-21 17:01 Jesus Reyes LazTarget => 2.0.6
2019-08-21 17:01 Jesus Reyes Note Added: 0117767
2019-08-23 15:25 Luca Olivetti Status resolved => closed
2019-08-23 15:25 Luca Olivetti Note Added: 0117796